Skip to main content

FAILED_TRANSACTION


Supported Network

Network

Supporting

Ethereum Mainnet

Ethereum Testnet (sepolia)

Ethereum Testnet (holesky)

Polygon Mainnet

Polygon Testnet (amoy)

Arbitrum Mainnet

Arbitrum Testnet (sepolia)

Optimism Mainnet

Optimism Testnet (sepolia)

Kaia Mainnet

Kaia Testnet (kairos)

Aptos Mainnet

Aptos Testnet



Conditions

When eventType is set to FAILED_TRANSACTION, the available condition object fields are as follows.

Key

Type

Required

Description

Example Value

addresses

Array of String

true

List of sender addresses to monitor. You receive an alert when a transaction has one of these addresses as from.

\["0x9f24190087550ddd4c1a58789f86416575c3dc55"]

Response Example

subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5081
subscription Event : subscriptionId: 5081,
eventType: FAILED_TRANSACTION,
event: {
"targetAddress": "0x9f24190087550ddd4c1a58789f86416575c3dc55", , // ⚠️ This field will be deprecated soon
"targetAddresses": [
"0x9f24190087550ddd4c1a58789f86416575c3dc55"
],
"messages": [
{
"block_hash": "0x89aae97486f4b42552176723af6f83f3fc418c2ca2ab1e1c51058e6b9c7bf659",
"block_number": 21570391,
"block_timestamp": 1736226347,
"from_address": "0x9f24190087550ddd4c1a58789f86416575c3dc55",
"gas": 268124,
"gas_price": 8275013939,
"hash": "0x2a52fbeeec306469db645f3eecb96510ba02f00f60cd6006ae90843c62254304",
"input": "0x9871efa40000000000000000000187cf048ee215878ea316890c041a2722b9416d3b24e400000000000000000000000000000000000000000000000000007c0c700265c800000000000000000000000000000000000000000000000000693ec9d2deeaf80000000000000000000000000000000000000000000000000000000000000080000000000000000000000000000000000000000000000000000000000000000170000000000000003b6d0340b2218e329b5c50b53b7c8f87d3a52f55786386ff000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee3ca20afc2bbb00000000001e96c195f6643a3d797cb90cb6ba0ae2776d51b5f3",
"max_fee_per_gas": 8275013939,
"max_priority_fee_per_gas": 8275013939,
"nonce": 12835,
"to_address": "0x7d0ccaa3fac1e5a943c5168b6ced828691b46b36",
"transaction_index": 10,
"transaction_type": 2,
"value": "0",
"access_list": [],
"receipt_contract_address": null,
"receipt_cumulative_gas_used": 1449535,
"receipt_effective_gas_price": 8275013939,
"receipt_gas_used": 192789,
"receipt_root": null,
"receipt_status": 1,
"type": "transaction"
}
]
}